package com.ruoyi.rocketmq.mapper;

import java.util.List;
import com.ruoyi.rocketmq.domain.RmAlarmPolicy;

/**
 * 告警策略Mapper接口
 * 
 * @author gyt
 * @date 2025-09-12
 */
public interface RmAlarmPolicyMapper 
{
    /**
     * 查询告警策略
     * 
     * @param id 告警策略主键
     * @return 告警策略
     */
    public RmAlarmPolicy selectRmAlarmPolicyById(Long id);

    /**
     * 查询告警策略列表
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 告警策略集合
     */
    public List<RmAlarmPolicy> selectRmAlarmPolicyList(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 新增告警策略
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 结果
     */
    public int insertRmAlarmPolicy(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 修改告警策略
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 结果
     */
    public int updateRmAlarmPolicy(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 删除告警策略
     * 
     * @param id 告警策略主键
     * @return 结果
     */
    public int deleteRmAlarmPolicyById(Long id);

    /**
     * 批量删除告警策略
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmAlarmPolicyByIds(Long[] ids);
}
